#!/bin/dash

set -e

# ---------------------------------------------------------------------- #
# Welcome to Fatdog64 spiced with notification actions

export TEXTDOMAIN=fatdog OUTPUT_CHARSET=UTF-8

m00=$(gettext 'Welcome to Fatdog64!')
m01=$(gettext 'Click        : close')
m02=$(gettext 'Middle-click : help')
m03=$(gettext 'Ctrl+Shift+. : help')
m04=$(gettext 'Ctrl+`       : open')
m05=$(gettext 'Browse Fatdog64 home page')
m06=$(gettext 'shell# dunstctl context : help')

fatdog_icon=/usr/share/lxqt/themes/ambiance/mainmenu.svg
id=-64 # pick a "private" id
dunstify --close=$id

dunstify --replace=$id \
	"$m00" "\n$m02\n$m03\n\n$m06\n\n$m01\n$m04\n\n--" \
	-i "$fatdog_icon" \
	-A "defaultbrowser https://distro.ibiblio.org/fatdog/web:icon=$fatdog_icon:tooltip=$m05,Fatdog64 Online" \
	-A ":launcher=/usr/share/applications/fatdog-help.desktop,_" \
	-A ":launcher=/usr/share/applications/fatdog-help-networking.desktop,_" \
	-A ":mode=exec:hide=yes,_" \
	-u low -t 0 \
	>/dev/null &
echo "$! id=$id"

